Details

    • Affects:
      Documentation (Ref Guide, User Guide, etc.)

      Description

      For JBDS 7.1.0.GA, we need to ensure this list is as current and up to date as possible.

      Proposed new connectors for JBDS 8.0:

      • SpringSource's Quick Search - JBDS-2686 (affects JBDS installer/Central TP) :: DROPPED FOR 7.1, TBD for 8.0

      New connectors for JBDS 7.1:

      • Mylyn Builds Connector: Hudson/Jenkins org.eclipse.mylyn.hudson.feature 1.1.1.v20130917-0100 - JBDS-2724, JBDS-2752 :: Approved, will be in 7.1.0.Beta1
      • m2e-wro4j 1.0.2 connector - JBDS-2577 :: Approved for 7.1.0.CR1

      The current list of connectors in 7.0 which can be / have been updated in 7.1 are:

      Beta1

      • atlassian/3.2.1.v20130402 --> 3.2.2.v20130909 - JBIDE-13682, JBDS-2774 :: Approved, will be in 7.1.0.Beta1 (affects JBT/JBDS/Central TP)
      • pmd/4.0.0.v20130510-1000 --> 4.0.1 - JBIDE-14902, JBIDE-15353 :: Approved, will be in 7.1.0.Beta1
      • testng/6.8.1.20130330_0839/ --> 6.8.6.20130914_0724 - JBDS-2415, JBDS-2800 :: Approved, will be in 7.1.0.Beta1 (affects JBDS installer/Central TP)

      CR1

      These are currently unchanged since December when we released JBDS 6.0.0:

      • findbugs/2.0.2.20121210 - nothing new as of 2013.10.15

      Additionally (Target Platform):

      • swtbot 2.1.1.201305311053 / junit4 - JBIDE-13843 (included in JBT TP; needed for running UI tests) :: Unchanged

      JBoss Tools Locus (for use with Teiid in JBT-IS/JBDS-IS only):

      • mockito/1.9.5 - JBIDE-12971¥ (to be included in JBT Locus 1.0.0 [1,2,3]) :: Omitted
      • fest-assert/1.4 & fest-util/1.1.6 - JBIDE-12972¥ (to be included in JBT Locus 1.0.1 [1,2,3]) :: Omitted

      See comments below for latest site URLs.

      [1] https://github.com/jbosstools/jbosstools-locus/
      [2] https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/jbosstools-locus.site_master/
      [3] http://download.jboss.org/jbosstools/updates/nightly/locus/trunk/

      ¥ - These issues did not block the release of JBDS 7.0.0.GA, and therefore would not block 7.1.0, but might be fixed by upgrading to SpringIDE 3.4.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  ldimaggio Len DiMaggio
                  Reporter:
                  maxandersen Max Rydahl Andersen
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: